=== debian/changelog ===
cppcheck (1.81-1build1) bionic; urgency=medium

  * No-change rebuild for tinyxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 06:35:26 +0000

cppcheck (1.81-1) unstable; urgency=medium

  * New upstream release.
  * Added patch fix-cxxflags such that flags are added to CXXFLAGS even if
    it is already set.
  * Fixed build of gui subdirectory if CC or CXX contain spaces, e.g., if
    CXX="ccache g++" (Closes: #819947)
  * Suppress lintian warning "extra-license-file" for
    /usr/share/cppcheck/cfg/bsd.cfg.
  * Update Standards-Version to 4.1.1 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Mon, 30 Oct 2017 09:40:44 +0100
