=== debian/changelog ===
cppcheck (1.82-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper compat version 11 (no changes needed).
  * Update Standards-Version to 4.1.3 (no changes needed).
  * Change Build-Depends: python-all to python3-all.
  * Change Depends: python-pygments to python3-pygments for cppcheck.
  * Fix lintian warnings file-contains-trailing-whitespace and
    override_dh_auto_test-does-not-check-DEB_BUILD_PROFILES.

 -- Joachim Reichel <reichel@debian.org>  Tue, 06 Feb 2018 20:49:13 +0100
