=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: devel
 Priority: optional
 Maintainer: Joachim Reichel <reichel@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl,
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl,
   docbook-xml, libpcre3-dev, libtinyxml2-dev, qt5-qmake, qtbase5-dev,
-  qtbase5-dev-tools, gdb, dh-python, python-all
-Standards-Version: 4.1.1
+  qtbase5-dev-tools, gdb, dh-python, python3-all
+Standards-Version: 4.1.3
 Homepage: http://sourceforge.net/p/cppcheck/wiki/Home/
 X-Python-Version: >= 2.6
 
 Package: cppcheck
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pygments
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-pygments
 Suggests: cppcheck-gui
 Description: tool for static C/C++ code analysis (CLI)
  Cppcheck is a command-line tool that tries to detect bugs that your
