=== debian/rules ===
--- 
+++ 
@@ -32,10 +32,12 @@
 	[ ! -d externals/tinyxml.disabled ] || mv externals/tinyxml.disabled externals/tinyxml
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes LIBS=-ltinyxml2 \
 		INCLUDE_FOR_LIB="-Ilib -Iexternals/simplecpp" \
 		INCLUDE_FOR_CLI="-Ilib -Iexternals/simplecpp" \
 		INCLUDE_FOR_TEST="-Ilib -Icli -Iexternals/simplecpp"
+endif
 
 override_dh_auto_install:
 	install -d ${DESTDIR}/usr/bin
@@ -51,4 +53,4 @@
 	install gui/cppcheck-gui ${DESTDIR_GUI}/usr/bin
 
 %:
-	dh $@ --parallel --with python2
+	dh $@ --parallel --with python3
