## cppcheck 1.83

=== debian/changelog ===
cppcheck (1.83-2) unstable; urgency=medium

  * Add versioned Build-Depends: libtinyxml2-dev (>= 6.2.0+dfsg-1). The
    layout of tinyxml2::XMLDocument was changed between 6.0.0 and 6.2.0
    without bumping the SONAME (Closes: #898327).

 -- Joachim Reichel <reichel@debian.org>  Sun, 13 May 2018 10:29:45 +0200

cppcheck (1.83-1) unstable; urgency=medium

  * New upstream release.
  * Add Suggests: python3, clang to cppcheck-gui.
  * Add patch fix-python-default to set default python path to
    /usr/bin/python3 in UI.
  * Change X-Python-Version: >= 2.6 to X-Python3-Version: >= 3.5 in
    debian/control, override shebang line to use /usr/bin/python3
    (Closes: #890305).
  * Update Standards-Version to 4.1.4 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Fri, 06 Apr 2018 09:23:15 +0200
