=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Joachim Reichel <reichel@debian.org>
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl,
-  docbook-xml, libpcre3-dev, libtinyxml2-dev, qt5-qmake, qtbase5-dev,
+  docbook-xml, libpcre3-dev, libtinyxml2-dev (>= 6.2.0+dfsg-1), qt5-qmake, qtbase5-dev,
   qtbase5-dev-tools, gdb, dh-python, python3-all
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://sourceforge.net/p/cppcheck/wiki/Home/
-X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.5
 
 Package: cppcheck
 Architecture: any
@@ -52,6 +52,7 @@
 Package: cppcheck-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: python3, clang
 Description: tool for static C/C++ code analysis (GUI)
  Cppcheck is a command-line tool that tries to detect bugs that your
  C/C++ compiler doesn't see. It is versatile, and can check non-standard
