## cppcheck 1.84

=== debian/changelog ===
cppcheck (1.84-2) unstable; urgency=medium

  * Fix FTBFS due to char signedness (Closes: #905577).
  * Update Standards-Version to 4.1.5 (no changes needed).
  * Remove outdated upstream changelog.

 -- Joachim Reichel <reichel@debian.org>  Tue, 07 Aug 2018 22:36:03 +0200

cppcheck (1.84-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.5 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 19 Jul 2018 19:18:23 +0200
