=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Joachim Reichel <reichel@debian.org>
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl,
-  docbook-xml, libpcre3-dev, libtinyxml2-dev (>= 6.2.0+dfsg-1), qt5-qmake, qtbase5-dev,
+  docbook-xml, libpcre3-dev, libtinyxml2-dev (>= 6.2.0+dfsg), qt5-qmake, qtbase5-dev,
   qtbase5-dev-tools, gdb, dh-python, python3-all
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: http://sourceforge.net/p/cppcheck/wiki/Home/
 X-Python3-Version: >= 3.5
