=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 DESTDIR_GUI = $(CURDIR)/debian/cppcheck-gui
 
 override_dh_auto_build:
+	echo ld $LDFLAGS
+	echo env
+	set
 	[ -f externals/tinyxml ] || mv externals/tinyxml externals/tinyxml.disabled
 	dh_auto_build -- CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes LIBS=-ltinyxml2 \
 		INCLUDE_FOR_LIB="-Ilib -Iexternals/simplecpp" \
@@ -47,10 +50,11 @@
 	install htmlreport/cppcheck-htmlreport ${DESTDIR}/usr/bin
 	install -d ${DESTDIR}/usr/share/man/man1
 	install debian/cppcheck-htmlreport.1 ${DESTDIR}/usr/share/man/man1
-	# Changelog disabled because it is not up to date
-	#	install -D -g 0 -o 0 -m 644 -p debian/changelog.upstream ${DESTDIR}/usr/share/doc/cppcheck/
 	install -d ${DESTDIR_GUI}/usr/bin
 	install gui/cppcheck-gui ${DESTDIR_GUI}/usr/bin
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 %:
-	dh $@ --parallel --with python3
+	dh $@ --with python3
