## cppcheck 1.85

=== debian/changelog ===
cppcheck (1.85-2) unstable; urgency=medium

  * Fix FTBFS due to char signedness: remove patch again, superseeded
    upstream (Closes: 914520).

 -- Joachim Reichel <reichel@debian.org>  Sat, 24 Nov 2018 16:49:56 +0100

cppcheck (1.85-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1 (no changes needed).
  * Fix lintian warnings insecure-copyright-format-uri and
    description-contains-invalid-control-statement

 -- Joachim Reichel <reichel@debian.org>  Fri, 23 Nov 2018 17:32:14 +0100
