=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.15.7~), xsltproc, docbook-xsl,
   docbook-xml, libpcre3-dev, libtinyxml2-dev (>= 6.2.0+dfsg), qt5-qmake, qtbase5-dev,
   qtbase5-dev-tools, gdb, dh-python, python3-all
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: http://sourceforge.net/p/cppcheck/wiki/Home/
 X-Python3-Version: >= 3.5
 
@@ -46,8 +46,8 @@
   * misuse of iterators when iterating through a container;
   * dereferencing of erased iterators;
   * use of invalidated vector iterators/pointers;
-  .
-  This package contains the command-line interface for cppcheck.
+ .
+ This package contains the command-line interface for cppcheck.
 
 Package: cppcheck-gui
 Architecture: any
@@ -86,5 +86,5 @@
   * misuse of iterators when iterating through a container;
   * dereferencing of erased iterators;
   * use of invalidated vector iterators/pointers
-  .
-  This package contains the graphical user interface for cppcheck.
+ .
+ This package contains the graphical user interface for cppcheck.
