## cppcheck 1.86

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project(CppCheck)
-cmake_minimum_required(VERSION 2.8.4)
+project(Cppcheck)
+cmake_minimum_required(VERSION 2.8.11)
 
 include(GNUInstallDirs)
