=== gui/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
     if (HAVE_RULES)
         target_link_libraries(cppcheck-gui pcre)
     endif()
-    qt5_use_modules(cppcheck-gui ${GUI_QT_COMPONENTS})
+    target_link_libraries(cppcheck-gui Qt5::Core Qt5::Gui Qt5::Widgets Qt5::PrintSupport)
 
     install(TARGETS cppcheck-gui RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_BINDIR} COMPONENT applications)
     install(FILES ${qms} DESTINATION ${CMAKE_INSTALL_FULL_BINDIR} COMPONENT applications)
