=== debian/changelog ===
cppcheck (1.86-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 (no changes needed).
  * Change patch fix-python-default to set the default python path to
    /usr/bin/python3; rename patch to fix-default-settings.
  * Extend patch to set the default DATADIR to /usr/share/cppcheck/cfg
    (Closes: #917630).
  * Fix typo in changelog of 1.85-2.

 -- Joachim Reichel <reichel@debian.org>  Sat, 29 Dec 2018 18:29:50 +0100
